<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="https://rawgit.com/enyo/dropzone/master/dist/dropzone.css" />
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <main class="content ">
        <div class="container-fluid px-lg-0" style="position: relative;">
            <div class="row justify-content-center" style="position: relative;">
                <div class="col-xl-12 " style="position: relative;">
                    <div class="row " style="position: relative;">
                        <div class="col-xl-4 col-md-4 mb-3 order-md-2 order-1 ">
                            <div class="box ticket-info-div">
                                <?php
                                    use App\Models\Support;
                                    $ticketStatusClasses = [
                                        Support::OPEN => 'ticket-open',
                                        Support::AWAITING_USER_RESPONSE => 'ticket-waiting',
                                        Support::USER_REPLIED => 'ticket-replied',
                                        Support::CLOSED => 'ticket-completed',
                                    ];

                                    $ticketPriorityClasses = ['priority-low', 'priority-medium', 'priority-high'];
                                    $ticketPriority = ['Low', 'Medium', 'High'];
                                ?>
                                <div class="ticket-info ">
                                    <div class="ticket-info--header  ">
                                        <div class="box-icon ticket-info-icon" style="flex-shrink: 0;">
                                            <i class="fa-solid fa-ticket"></i>
                                        </div>
                                        <div class="text-center b w-100">
                                            Ticket Information
                                        </div>
                                    </div>
                                    <div class="ticket-info--body">
                                        <div class="mt-3 ">
                                            <h3 class="ticket-heading mb-0">SUBJECT</h3>
                                            <p class="ticket-text mb-0 pb-2">
                                                <?php echo e($ticket->subject); ?>

                                            </p>
                                            <div class="<?php echo e($ticketStatusClasses[$ticket->status]); ?>">
                                                <?php echo e($status_labels[$ticket->status]); ?></div>
                                        </div>
                                        <div class="mt-3 pt-2">
                                            <h3 class="ticket-heading mb-0">Department</h3>
                                            <p class="ticket-text mb-0 pb-2">
                                                <?php echo e($ticket->department == 0 ? 'General' : ($ticket->department == 1 ? 'Sales/Billings' : 'Technical')); ?>

                                            </p>
                                        </div>
                                        <div
                                            class="d-flex align-items-start justify-content-between flex-xl-row flex-column">
                                            <div class="mt-3">
                                                <h3 class="ticket-heading mb-0">Submitted</h3>
                                                <p class="ticket-text mb-0 pb-2">
                                                    <?php echo e($ticket->created_at->format('M j, Y h:iA')); ?>

                                                </p>
                                            </div>
                                            <div class="mt-3">
                                                <h3 class="ticket-heading mb-0">Last Updated</h3>
                                                <p class="ticket-text mb-0 pb-2">
                                                    <?php echo e(\Carbon\Carbon::parse($ticket->updated_at)->diffForHumans()); ?>

                                                </p>
                                            </div>
                                        </div>

                                        <div class="d-flex align-items-center mt-3">
                                            <button class="ticket-fill me-1 reply-btn2">Reply</button>
                                            <?php if($ticket->status !== Support::CLOSED): ?>
                                                <form action="<?php echo e(route('client.support.update_status', $ticket->id)); ?>"
                                                    method="post">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('patch'); ?>
                                                    <input type="hidden" value="<?php echo e(Support::CLOSED); ?>" name="status">
                                                    <button class="ticket-blank ms-1">Close</button>
                                                </form>
                                            <?php endif; ?>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <h1 class="heading-ticket" style="font-size: 40px">
                                <?php echo e($ticket->subject); ?>

                            </h1>
                        </div>
                        <div class="col-xl-8 col-md-8 mb-3 order-md-1 order-2">
                            <div class="box">
                                <div class="ticket-chat">
                                    <div class="title">
                                        <div class="title-icon">
                                            <div class="title-icon-dot"></div>
                                        </div>
                                        <p class="mb-0 pb-0">Ticket Submitted on
                                            <?php echo e($ticket->created_at->format('M j, Y h:iA')); ?></p>
                                    </div>

                                    <div class="ticket-user w-100 mb-4">
                                        <div class="ticket-user-icon">
                                            <i class="bi bi-person-circle"></i>
                                        </div>
                                        <div class="d-flex justify-content-between align-items-center w-100">
                                            <div class="d-flex align-items-center ticket-text">
                                                <div class="user-logo me-2">
                                                    <img src="<?php echo e(!empty($ticket->user->img) ? getURL($ticket->user->img) : asset('images/avatar.png')); ?>"
                                                        alt="" class="">
                                                </div>
                                                <?php echo e($ticket->user->name); ?>

                                            </div>

                                            <div class="ticket-heading">
                                                <?php echo e($ticket->created_at->format('d/m/Y h:iA')); ?>

                                            </div>
                                        </div>
                                        <div class="ticket-detail-text">
                                            <p class="my-1">
                                                <?php echo $ticket->description; ?>

                                            </p>
                                            <?php if($ticket->attachments->count() > 0): ?>
                                                <p class="my-1">
                                                    Attachments:
                                                </p>

                                                <?php $__currentLoopData = $ticket->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $attachment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div class="screenshot my-1">
                                                        <a href="<?php echo e(getURL($attachment->attachment)); ?>" target="_blank">
                                                            Attachment <?php echo e($index + 1); ?>

                                                            <i class="fa-regular fa-arrow-up-right-from-square"></i></a>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php endif; ?>
                                        </div>
                                    </div>

                                    <?php $__currentLoopData = $ticket->replies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reply): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="ticket-user w-100 mb-4">
                                            <div class="ticket-user-icon">
                                                <i class="bi bi-person-circle"></i>
                                            </div>
                                            <div class="d-flex justify-content-between align-items-center w-100">
                                                <div class="d-flex align-items-center ticket-text">
                                                    <div class="user-logo me-2">
                                                        <?php if($reply->user->userable_type == App\Models\Staff::class): ?>
                                                            <img src="<?php echo e(asset('images/d-png.png')); ?>" alt=""
                                                                class="">
                                                        <?php else: ?>
                                                            <img src="<?php echo e(!empty($reply->user->img) ? getURL($reply->user->img) : asset('images/avatar.png')); ?>"
                                                                alt="" class="">
                                                        <?php endif; ?>
                                                    </div>
                                                    <?php echo e($reply->user->userable_type == App\Models\Staff::class ? 'Support | DigiSplix' : $reply->user->name); ?>

                                                </div>

                                                <div class="ticket-heading">
                                                    <?php echo e($reply->created_at->format('d/m/Y h:iA')); ?>

                                                </div>
                                            </div>
                                            <div class="ticket-detail-text">
                                                <p class="my-1">
                                                    <?php echo $reply->reply; ?>

                                                </p>

                                                <?php if($reply->attachments->count() > 0): ?>
                                                    <p class="my-1">
                                                        Attachments:
                                                    </p>

                                                    <?php $__currentLoopData = $reply->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $attachment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <div class="screenshot my-1">
                                                            <a href="<?php echo e(getURL($attachment->attachment)); ?>"
                                                                target="_blank">
                                                                Attachment <?php echo e($index + 1); ?>

                                                                <i class="fa-regular fa-arrow-up-right-from-square"></i></a>
                                                        </div>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>

                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    <div class="reply-area" id="reply-area">
                                        <p class="f-14 w-600 text-dark-clr">Type Reply </p>
                                        <div class=" mt-3 text-left">
                                            <div id="toolbar-container"></div>
                                            <div id="editor">
                                                <p></p>
                                            </div>
                                            <!-- cdk Editor for form -->
                                        </div>
                                        <button class="upload-attchment attachment-btn mt-2 d-none">Click to Upload
                                            Attachment</button>
                                        <div class="upload-area mt-4" style="display: block">
                                            <p class="f-14 w-600 text-dark-clr">Upload Attachments <span
                                                    class="text-gray f-12">(Optional)</span></p>
                                            <div id="dropzone">
                                                <form method="post"
                                                    action="<?php echo e(route('client.support.upload_attachment_reply')); ?>"
                                                    class="dropzone needsclick" id="dropzonewidget"
                                                    enctype="multipart/form-data">
                                                    <?php echo csrf_field(); ?>
                                                    <div class="dz-message needsclick">
                                                        <span class="text text-dark-clr">

                                                            Drop files here or click to upload.
                                                        </span>
                                                        <span class="plus">+</span>
                                                    </div>
                                                    <input type="hidden" id="editorData">
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="d-flex justify-content-end mt-3">
                                        
                                        <button id="replyBtn" class="ticket-fill me-1 flex-grow-0 px-4 reply-btn"
                                            style="width: fit-content !important;">Reply</button>
                                        <button id="submitBtn" style="display: none"
                                            class="ticket-fill me-1 flex-grow-0 px-4 reply-btn"
                                            style="width: fit-content !important;">Submit</button>
                                        
                                    </div>

                                </div>


                            </div>

                        </div>


                    </div>
                </div>

            </div>

        </div>
    </main>

<?php $__env->startSection('script'); ?>
    <script src="https://rawgit.com/enyo/dropzone/master/dist/dropzone.js"></script>
    <script src="https://cdn.ckeditor.com/ckeditor5/30.0.0/decoupled-document/ckeditor.js"></script>
    <script>
        // for editor
        let editor2;
        DecoupledEditor
            .create(document.querySelector('#editor'), {
                toolbar: {
                    items: [
                        'heading',
                        '|',
                        'bold',
                        'italic',
                        '|',
                        'link',
                        'bulletedList',
                        'numberedList',
                        '|',
                        'undo',
                        'redo',
                        '|',
                        'alignment:left',
                        'alignment:center',
                        'alignment:right',
                        'alignment:justify',
                    ]
                },
            })
            .then(editor => {
                editor2 = editor;
                const toolbarContainer = document.querySelector('#toolbar-container');

                toolbarContainer.appendChild(editor.ui.view.toolbar.element);
            })
            .catch(error => {
                console.error(error);
            });
    </script>
    <script>
        // Wait for the document to be fully loaded
        document.addEventListener("DOMContentLoaded", function() {
            // Get references to the elements
            var replyArea = document.querySelector(".reply-area");
            var replyButton = document.querySelector(".reply-btn");
            var replyButton2 = document.querySelector(".reply-btn2");
            var submitBtn = document.querySelector("#submitBtn");
            // Add a click event listener to the reply button
            replyButton.addEventListener("click", function(e) {
                e.stopPropagation();
                // Toggle the visibility of the reply area
                if (replyArea.style.display === "none" || replyArea.style.display === "") {
                    replyArea.style.display = "block";
                }
                replyButton.style.display = 'none'
                submitBtn.style.display = 'block'
            });
            replyButton2.addEventListener("click", function(e) {
                e.stopPropagation();
                // Toggle the visibility of the reply area
                if (replyArea.style.display === "none" || replyArea.style.display === "") {
                    replyArea.style.display = "block";
                    window.scrollTo({
                        top: replyArea.offsetTop,
                        behavior: "smooth"
                    });
                } else {
                    window.scrollTo({
                        top: replyArea.offsetTop,
                        behavior: "smooth"
                    });
                }
                replyButton.style.display = 'none'
                submitBtn.style.display = 'block'
            });

            var attachmentBtn = document.querySelector(".attachment-btn");
            var attchmentArea = document.querySelector(".upload-area");

            attachmentBtn.addEventListener("click", function() {

                if (attchmentArea.style.display === "none" || attchmentArea.style.display === "") {
                    attchmentArea.style.display = "block";
                    this.style.display = " none"
                }
            })
        });
    </script>

    <script>
        var replyID;
        var myDropzone;
        var editorData;
        var allowedFileTypes = ["image/jpeg", "image/jpg", "image/png", "application/pdf", "text/plain"];
        Dropzone.options.dropzonewidget = {
            autoProcessQueue: false,
            addRemoveLinks: true,
            maxFilesize: 2, // 2 MB
            acceptedFiles: ".jpeg,.jpg,.png,.pdf,.txt", // Allowed extensions
            init: function() {
                myDropzone = this;

                // Check for errors
                this.on("addedfile", function(file) {
                    if (file.size > myDropzone.options.maxFilesize * 1024 * 1024) {
                        alert("File size exceeds the limit");
                        myDropzone.removeFile(file);
                        return;
                    }

                    console.log(file.type);
                    if (!allowedFileTypes.includes(file.type)) {
                        alert("Invalid file type");
                        myDropzone.removeFile(file);
                        return;
                    }

                });

                this.on('sending', function(file, xhr, formData) {
                    formData.append('replyID', replyID)

                    // Append all form inputs to the formData Dropzone will POST
                    var data = $('#dropzonewidget').serializeArray();
                    $.each(data, function(key, el) {
                        formData.append(el.name, el.value);
                    });
                });

                this.on("queuecomplete", function(file) {
                    // saveEditorData()
                    location.reload()
                });
            },
            success: function(file, response) { // Dropzone upload response
                console.log(response);
            }
        };

        $("#submitBtn").click(function(e) {
            e.preventDefault();
            editorData = editor2.getData()

            if (editorData.trim() == "") {
                alert("Please write something in the editor!")
                return false;
            }

            $("#editorData").val(editorData)
            saveEditorData()
        });

        // Save editor data
        const saveEditorData = function() {
            var editorData = $("#editorData").val()
            $.ajax({
                url: '<?php echo e(route('client.support.store_reply')); ?>',
                type: 'post',
                data: {
                    '_token': '<?php echo e(csrf_token()); ?>',
                    'reply': editorData,
                    'support_id': '<?php echo e($ticket->id); ?>',
                    'user_id': '<?php echo e(auth()->user()->id); ?>'
                },
                success: function(response) {
                    if (response.status == 'success') {
                        replyID = response.reply.id;

                        if ($('.upload-area').css('display') == 'block') {
                            myDropzone.processQueue();
                        } else {
                            location.reload()
                        }
                    }
                    location.reload()
                }
            })
        }
    </script>
<?php $__env->stopSection(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.client', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/digisplix/www.digisplix.com/resources/views/clients/support/show.blade.php ENDPATH**/ ?>